Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 917911 - Keep "Validation Warnings: n" displayed even when moving focus to different pages
Keep "Validation Warnings: n" displayed even when moving focus to different p...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Retired
Component: Component-UI (Show other bugs)
2.1
Unspecified Unspecified
urgent Severity high
: ---
: 2.3
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On: 910637
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-05 00:26 EST by Ding-Yi Chen
Modified: 2013-11-26 22:36 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.3-SNAPSHOT (20130409-1233)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 910637
Environment:
Last Closed: 2013-11-26 22:23:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Empty entries mistakenly got warning (81.53 KB, image/png)
2013-03-19 01:19 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2013-03-05 00:26:09 EST
Bug 910637 is for same page change entry in same page, this bug is for change different page and change back.

+++ This bug was initially created as a clone of Bug #910637 +++

Description of problem:
When a validation warning is current for any given translation entry, there is a red border around the whole entry as well as the words "Validation Warnings: n" highlighted in red. However, as soon as you move the focus to a different entry, the red "Validation Warnings: n" disappears, leaving only the red border around the entry.

  
Actual results:
Warning not obvious enough when moving focus to different entry.

Expected results:
Warning obvious even when moving to different entry.


Additional info:
We had a bug which displayed red borders for many entries, even if there was no error or validation warning present. Translators might have "learned" to ignore the red border (which is not very obvious at the best of times) - I sure did and got used to not taking any notice of it. 

Suggesting to keep the red highlighted text visible to break that habit, also suggesting to make the red border thicker.
Comment 2 Ding-Yi Chen 2013-03-19 01:17:31 EDT
Tested with Zanata version 2.3-SNAPSHOT (20130319-1404).

If there are empty entries immediately after the error entry, those empty entries will be marked as error after I switch back.

Step to reproduce:
1. Find a document which is long enough to have multiple page
2. In any page, produce a validation warning.
3. Ensure the entries below the error entry are empty
4. Switch to other page
5. Switch back

Actual:
Validation warning show on empty entries below the error.

Expected:
NO validation warning on empty entries.

Reassigned.
Comment 3 Ding-Yi Chen 2013-03-19 01:19:26 EDT
Created attachment 712391 [details]
Empty entries mistakenly got warning

Screen shot of empty entries mistakenly got warning.
Comment 5 Ding-Yi Chen 2013-04-09 00:56:25 EDT
VERIFIED with Zanata version 2.3-SNAPSHOT (20130409-1233)
Comment 6 Sean Flanigan 2013-11-26 22:13:39 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:15:37 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:19:04 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:23:31 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 10 Sean Flanigan 2013-11-26 22:33:44 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 11 Sean Flanigan 2013-11-26 22:36:00 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.